Bug 201786 - mkisofs cannot handle large files
mkisofs cannot handle large files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 16:23 EDT by John Smith
Modified: 2008-05-06 12:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Smith 2006-08-08 16:23:02 EDT
Using mkisofs-2.01.01.0.a03-3 on an up to date FC5.

When asked to create an iso image, mkisofs skips all files
(in the master tree) which are larger than 2GB.

Apparently this bug is fixed upstream in the latest version.
Comment 1 Harald Hoyer 2006-08-09 05:06:45 EDT
iso9660 cannot handle files > 2 GB
you have to create a udf file system
Comment 2 John Smith 2006-08-09 11:13:21 EDT
Sorry, I meant udf instead of iso.  When asked to create an udf image, mkisofs
skips all files which are larger than 2GB.

I use the following commandline:
mkisofs -J -R -udf bigfile >/dev/null

It says that it ignores bigfile.

The message at the following URL suggests that this is fixed upstream:
http://www.mail-archive.com/dvdrtools-users@nongnu.org/msg00370.html
Comment 3 Need Real Name 2006-12-05 13:52:16 EST
Curious why this "bug" has not yet been fixed even in FC6 updates.
Seems like the bug has been known for 4 months now...

Comment 4 Harald Hoyer 2006-12-06 06:10:26 EST
FC6:
$ mkisofs -J -R -udf FC-6-i386-DVD.iso  >/dev/null
...
Total translation table size: 0
Total rockridge attributes bytes: 258
Total directory bytes: 0
Path table size(bytes): 10
Max brk space used 0
1721711 extents written (3362 MB)
Comment 5 Bug Zapper 2008-04-03 23:28:37 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:12:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.